Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CosNaming
Class NameComponent

    java.lang.Object
      |
      +--org.omg.CosNaming.NameComponent

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class NameComponent
extends java.lang.Object
implements IDLEntity

This struct provides a basic structure to named an element into the naming graph. Each node and object have are identified with a NameComponent.

See Also:
  Serialized Form

Field Summary
`java.lang.String` | `id` Struct member id
`java.lang.String` | `kind` Struct member kind

Constructor Summary
`NameComponent()` Default constructor
`NameComponent(java.lang.String id, java.lang.String kind)` Constructor with fields initialization

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    public java.lang.String id

  Struct member id

### kind

    public java.lang.String kind

  Struct member kind

Constructor Detail

### NameComponent

    public NameComponent()

  Default constructor

### NameComponent

    public NameComponent(java.lang.String id,
                         java.lang.String kind)

  Constructor with fields initialization
  Parameters:
    `id` - id struct member
    `kind` - kind struct member

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD